org.eclipse.modisco.jee.jsp.discoverer

## Class AbstractJspDiscoverer<T>

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.jee.jsp.discoverer.AbstractJspDiscoverer<T>

All Implemented Interfaces:
  IDiscoverer<T>

Direct Known Subclasses:
  DiscoverJspModelFromJavaElement, DiscoverJspModelFromResource

    public abstract class AbstractJspDiscoverer<T>
    extends AbstractModelDiscoverer<T>

### Field Summary

Fields
`static java.lang.String[]` `EXTENSION_LIST`
`static java.lang.String` `JSP_FILE_EXTENSION`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJspDiscoverer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isJspExtension(java.lang.String extension)`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.modisco.infra.discovery.core.IDiscoverer

`isApplicableTo`

### Field Detail

#### JSP_FILE_EXTENSION

    public static final java.lang.String JSP_FILE_EXTENSION

See Also:
  Constant Field Values

#### EXTENSION_LIST

    public static final java.lang.String[] EXTENSION_LIST

### Constructor Detail

#### AbstractJspDiscoverer

    public AbstractJspDiscoverer()

### Method Detail

#### isJspExtension

    public static boolean isJspExtension(java.lang.String extension)